Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

Installing SilverStripe /

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Database support: SS has the module installed, but PHP is missing the required extension


Go to End


1150 Views

Avatar
lcrook

Community Member, 1 Post

21 October 2011 at 4:17am

I'm trying (obviously) to install SS on a Linux Red Hat (x86_64) system running Apache 2 and mySQL 5.5. I can't get to the install step because the initial requirements-checking page tells me that for MySQL 5.0+:

SilverStripe has the module installed, but PHP is missing the required extension
Then it says:
The PHP extension is missing, please enable or install it

I've attached the output from phpinfo(). A search on mysql in the phpinfo output seems to indicate that the correct mysql extension is installed and enabled.

I thought perhaps it was the old password format problem with mySQL, so I made sure that was disabled.

I'm new to PHP and MySQL, so I apologize for the very basic question. I tried to find the answer on the forums, but couldn't get sufficiently narrow search results.

Help!

Attached Files